Subject: Re: cygwin32 (mingw32) news update
From: [email-masked] (Paul Garceau)

3 Dec 1997 22:24:24 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

On  1 Dec 97 at 4:01, the Illustrious [email-masked] wrote:

> >
> >                   cygwin32 (mingw32) + egcs -- news update
> >                                       
> >   Mumit Khan ([email-masked])
> >       
> >Just a heads up for the egcs users -- I just ran the testsuite on the
> >latest snapshot (+ extra fixes for template handling + use sjlj for
> >exception handling), and the results for i386-cygwin32 are almost as
> >good as on i386-linux-gnulibc1!
> >
> 
> Only one or two problems:
> 
> mingw32 make emphatically does not work.  It needs sh.exe, and, when it
> gets cygwin sh.exe, it has directory addressing conflicts.  It definitely
> does not understand GNU makefiles, even when individual command-line
> compiles work.
 
> For some odd reason, compiling a program or library that references
> sleep, _sleep, __sleep, or Sleep fails during link, no matter what
> `extra' libraries are referenced.

	Largely correct...from a minimalist standpoint, however, it was noted 
that such things wouldn't work in the documentation that comes with 
mingw32 as far as I recall.

	Peace,

		Paul G.

Chronicles of Aurum: Book I
      A Journey Into the Fantastic
http://www.submergedsoftware.com/
ICQ#977283
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".